NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.SketchOffsetBuilder Class Reference

Represents a NXOpen.SketchOffsetBuilder More...

Inheritance diagram for NXOpen.SketchOffsetBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void BreakChain (NXOpen.NXObject object1, NXOpen.NXObject object2, NXOpen.Point3d helpPt)
 This function breaks the base chain and all the associated offsets at a given location More...
 
unsafe NXOpen.Section CreateSection ()
 The function creates a new empty section object and adds it to the builder More...
 
unsafe void EvaluateOffset ()
 This function will solve the offset constraint to update it based on the new data set in the builder More...
 
unsafe NXOpen.NXObject[] GetOutputCurvesOfOffset ()
 This function gets all output curves of an offset More...
 
unsafe NXOpen.Section[] GetSections ()
 This function gets all sections of an offset during create/edit More...
 
unsafe void MergeChains (NXOpen.NXObject object1, NXOpen.NXObject object2, NXOpen.Point3d helpPt)
 This function merges the two chains. More...
 
unsafe void RemoveSection (NXOpen.Section section)
 The function removes the given section from the builder More...
 
unsafe void ReverseOffsetDirectionOfChain (NXOpen.NXObject objectInChain)
 This function reverses the offset direction of the chain containing the input geometry More...
 
unsafe void SetEndConstraint (NXOpen.NXObject objectInChain, int inx, bool isStartEnd, bool constraint)
 This function removes end constraint from the given offset More...
 
unsafe void UpdateLoopsAndCopies ()
 This function will update the offset after curves are selected. More...
 
unsafe void UpdateSolverDistance ()
 This function will update the distance in the sketch solver using the new data set in the builder More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.SketchOffset.CapType CapType [get, set]
 Returns or sets the type of the cap needed at the corners More...
 
unsafe bool ConvertToReference [get, set]
 Returns or sets the flag to indicate if the input curves needs to converted to reference More...
 
unsafe bool CreateConstraint [get, set]
 Returns or sets the flag to indicate if the constraint needs to be created More...
 
unsafe bool CreateDimension [get, set]
 Returns or sets the flag to create offset with a dimension or a dimensionless offset More...
 
unsafe int Degree [get, set]
 Returns or sets the degree for approximating offset spline More...
 
unsafe NXOpen.Expression Distance [get]
 Returns the offset distance expression More...
 
unsafe bool IsSymmetric [get, set]
 Returns or sets the flag to indicate if the offset needs to be symmetric or not More...
 
unsafe int NumberOfCopies [get, set]
 Returns or sets the number of offset copies More...
 
unsafe double Tolerance [get, set]
 Returns or sets the tolerance for approximating offset spline More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.SketchOffsetBuilder

To create a new instance of this class, use NXOpen.SketchCollection.CreateSketchOffsetBuilder

Default values.

Property Value

CapType

Extension

ConvertToReference

False

CreateConstraint

False

CreateDimension

True

Degree

3

Distance.Value

5.0 (millimeters part), 2.0 (inches part)

IsSymmetric

False

NumberOfCopies

1

Created in NX5.0.0

Member Function Documentation

unsafe void NXOpen.SketchOffsetBuilder.BreakChain ( NXOpen.NXObject  object1,
NXOpen.NXObject  object2,
NXOpen.Point3d  helpPt 
)
inline

This function breaks the base chain and all the associated offsets at a given location

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
object1An object in chain to break
object2Adjacent object to the previous one
helpPtHelp point for multiple intersections
unsafe NXOpen.Section NXOpen.SketchOffsetBuilder.CreateSection ( )
inline

The function creates a new empty section object and adds it to the builder

Created in NX5.0.0

License requirements: None.

Returns
New section object
unsafe void NXOpen.SketchOffsetBuilder.EvaluateOffset ( )
inline

This function will solve the offset constraint to update it based on the new data set in the builder

Created in NX8.5.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe NXOpen.NXObject [] NXOpen.SketchOffsetBuilder.GetOutputCurvesOfOffset ( )
inline

This function gets all output curves of an offset

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Returns
All the curves associated with constraint
unsafe NXOpen.Section [] NXOpen.SketchOffsetBuilder.GetSections ( )
inline

This function gets all sections of an offset during create/edit

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Returns
All the sections associated with the builder
unsafe void NXOpen.SketchOffsetBuilder.MergeChains ( NXOpen.NXObject  object1,
NXOpen.NXObject  object2,
NXOpen.Point3d  helpPt 
)
inline

This function merges the two chains.

The last geom of first chain and first geom of next chain are taken as input.

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
object1Last geom of first chain
object2First geom of next chain
helpPtHelp point for multiple intersections
unsafe void NXOpen.SketchOffsetBuilder.RemoveSection ( NXOpen.Section  section)
inline

The function removes the given section from the builder

Created in NX5.0.0

License requirements: None.

Parameters
sectionSection obj to remove
unsafe void NXOpen.SketchOffsetBuilder.ReverseOffsetDirectionOfChain ( NXOpen.NXObject  objectInChain)
inline

This function reverses the offset direction of the chain containing the input geometry

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
objectInChainAn object in chain to reverse
unsafe void NXOpen.SketchOffsetBuilder.SetEndConstraint ( NXOpen.NXObject  objectInChain,
int  inx,
bool  isStartEnd,
bool  constraint 
)
inline

This function removes end constraint from the given offset

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
objectInChainAn object in the base chain
inxIndex of the constraint - starts from 0
isStartEndTRUE, if we want to remove the start end con
constraintTRUE to add the con, false to remove
unsafe void NXOpen.SketchOffsetBuilder.UpdateLoopsAndCopies ( )
inline

This function will update the offset after curves are selected.

If the input section is updated to add/remove curves, this function must be called to update the offset constraint. This function will keep the offset constraint synchronised with the edits done to input section.

Created in NX8.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.SketchOffsetBuilder.UpdateSolverDistance ( )
inline

This function will update the distance in the sketch solver using the new data set in the builder

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Property Documentation

unsafe NXOpen.SketchOffset.CapType NXOpen.SketchOffsetBuilder.CapType
getset

Returns or sets the type of the cap needed at the corners

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe bool NXOpen.SketchOffsetBuilder.ConvertToReference
getset

Returns or sets the flag to indicate if the input curves needs to converted to reference

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe bool NXOpen.SketchOffsetBuilder.CreateConstraint
getset

Returns or sets the flag to indicate if the constraint needs to be created

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe bool NXOpen.SketchOffsetBuilder.CreateDimension
getset

Returns or sets the flag to create offset with a dimension or a dimensionless offset

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe int NXOpen.SketchOffsetBuilder.Degree
getset

Returns or sets the degree for approximating offset spline

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe NXOpen.Expression NXOpen.SketchOffsetBuilder.Distance
get

Returns the offset distance expression

Created in NX5.0.0

License requirements: None.

unsafe bool NXOpen.SketchOffsetBuilder.IsSymmetric
getset

Returns or sets the flag to indicate if the offset needs to be symmetric or not

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe int NXOpen.SketchOffsetBuilder.NumberOfCopies
getset

Returns or sets the number of offset copies

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe double NXOpen.SketchOffsetBuilder.Tolerance
getset

Returns or sets the tolerance for approximating offset spline

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.